commit:     776f67cae78b8999e30d7920b5ce7797bf7d5859
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 29 19:54:43 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Nov 29 19:56:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=776f67ca

dev-python/flake8-3.7.9: bump, add py38

Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/flake8/Manifest            |  1 +
 dev-python/flake8/flake8-3.7.9.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/flake8/Manifest b/dev-python/flake8/Manifest
index eb726a169dd..9bc27e23356 100644
--- a/dev-python/flake8/Manifest
+++ b/dev-python/flake8/Manifest
@@ -3,3 +3,4 @@ DIST flake8-2.2.5.tar.gz 28333 BLAKE2B 
016b5b05b7448dec762e7d5e06fad9d631351d02b
 DIST flake8-2.5.4.tar.gz 81663 BLAKE2B 
89bd5965fe1f6862cadbfc7b614a819a13d4ab147994485542ba519d6151ab11d4b496066c74141020858f468050e7b6dc3d6ce3a89ddf809e9cdc6d130984ef
 SHA512 
31cbec556fc41361ac464d2547275e319ab663c907a4a8644113a2288a9f349bcfbec85197b6dfa13a7db9e82419f01e0f2abc84a347e133c144ea137e0daa28
 DIST flake8-3.5.0.tar.gz 140608 BLAKE2B 
938ad4406370da27155512355432edd23a824db1d6ee635591628fefad43ee1116256ae7f240496d93941800212ea2479be73fb9ee9bd03c9a54ab70bbce452f
 SHA512 
ac5d1bd9c44ed76c9e5cbd941b24bb552aa76e156b24ccda6cc8440ee90f3a574fdb393665adc75298e4f57111d7ab3115ef21ef9088fb327d0a9703d442450c
 DIST flake8-3.6.0.tar.gz 144684 BLAKE2B 
3a6edf83860c6c6a59c150cde47b22eeb17b9e83cb23e4d8f747715b8867093a7f1d1e2bc55c9f9cf43b69463746026d839b0177f2abef746581563a670c3ce0
 SHA512 
f4377bc7806074a88f88b3652c3061583e576ee515b2b741cee9c6dc18f84f34a7807c93fda9dca3d8b006e379dcee60bb3ae20e6a2e62fd216a82a2b36f2eb5
+DIST flake8-3.7.9.tar.gz 150123 BLAKE2B 
fd46710c0dcce7d3dcb3d5fc8ff7a83a35315679fa838e68abafd5bdc342c13218706fec0dac3fc9a6d919971f1f846c855f00cbd60c925e979378e431dace0b
 SHA512 
c3c753ad050d8a8f87f7c28c8a1c953ed9bd04f08b09512d9323152b4eebb57d67fbfb0f5317d629174fa12fa234e1a86d6a633dd951fff6a45330b1c4f62850

diff --git a/dev-python/flake8/flake8-3.7.9.ebuild 
b/dev-python/flake8/flake8-3.7.9.ebuild
new file mode 100644
index 00000000000..604aad11b49
--- /dev/null
+++ b/dev-python/flake8/flake8-3.7.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="https://gitlab.com/pycqa/flake8 https://pypi.org/project/flake8/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+# requires.txt inc. mccabe however that creates a circular dep
+RDEPEND="
+       >=dev-python/entrypoints-0.3[${PYTHON_USEDEP}]
+       <dev-python/entrypoints-0.4[${PYTHON_USEDEP}]
+       >=dev-python/pyflakes-2.1.0[${PYTHON_USEDEP}]
+       <dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pycodestyle-2.5.0[${PYTHON_USEDEP}]
+       <dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       virtual/python-typing[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/configparser[${PYTHON_USEDEP}]' -2)
+       $(python_gen_cond_dep 'dev-python/functools32[${PYTHON_USEDEP}]' -2)
+       $(python_gen_cond_dep 'dev-python/functools32[${PYTHON_USEDEP}]' -2)
+       !dev-python/pep8[${PYTHON_USEDEP}]
+"
+PDEPEND="
+       >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+       <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${PDEPEND}
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't treat warnings as errors when running tests
+       sed -r -i '/^[[:space:]]*error[[:space:]]*$/ d' pytest.ini || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to